# docker-compose.yml
version: "3.8"

services:
  frontend:
    build:
      context: .
      dockerfile: Dockerfile
      args:
        - NODE_ENV=${NODE_ENV}
        - DEV_MODE=${DEV_MODE}
        - NEXT_TELEMETRY_DISABLED=1
        - NEXT_PUBLIC_API_URL=${NEXT_PUBLIC_API_URL}
        - NEXT_PUBLIC_CLIENT_ID=${NEXT_PUBLIC_CLIENT_ID}
        - NEXT_PUBLIC_CLIENT_SECRET=${NEXT_PUBLIC_CLIENT_SECRET}
    restart: unless-stopped
    ports:
      - "${APP_PORT}:3000"
    environment:
      - NEXT_TELEMETRY_DISABLED=1
      - DEV_MODE=${DEV_MODE}
      - NEXT_PUBLIC_API_URL=${NEXT_PUBLIC_API_URL}
      - NEXT_PUBLIC_CLIENT_ID=${NEXT_PUBLIC_CLIENT_ID}
      - NEXT_PUBLIC_CLIENT_SECRET=${NEXT_PUBLIC_CLIENT_SECRET}
      - APP_PORT=${APP_PORT}
      - NODE_ENV=${NODE_ENV}
